# Autocreate Access module

This module allows access for entity creation to be respected by Autocomplete entity reference field widgets (most commonly used with 'tags style' widgets for taxonomy terms). This allows granting some user role(s) permission to create new entities on the fly, whilst restricting less-privileged users from doing so.

## Table of contents

- Installation
- Configuration
- Maintainers

## Installation

Install as you would normally install a contributed Drupal module. For further information, see [Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).

## Configuration

Individual fields then need configuring to respect access. Go to the 'Manage fields' interface for the content type(s) you wish to enable this for, and edit the reference field(s). Tick the "Respect access" box below the "Create referenced entities if they don't already exist" box (see [screenshot](https://www.drupal.org/files/project-images/autocreate_access.png)) and then save the form. Note that this requires the field to use the default reference method.

## Maintainers

- James Williams - [james.williams](https://www.drupal.org/u/jameswilliams-0)
